Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IStorageEditorInput

All Superinterfaces:
  IAdaptable, IEditorInput

All Known Subinterfaces:
  IFileEditorInput

All Known Implementing Classes:
  FileEditorInput

public interface IStorageEditorInput
extends IEditorInput

Interface for a `IStorage` input to an editor.

Clients implementing this editor input interface should override `Object.equals(Object)` to answer true for two inputs that are the same. The `IWorbenchPage.openEditor` APIs are dependent on this to find an editor with the same input.

Clients should implement this interface to declare new types of `IStorage` editor inputs.

File-oriented editors should support this as a valid input type, and display its content for viewing (but not allow modification). Within the editor, the "save" and "save as" operations should create a new file resource within the workspace.

All editor inputs must implement the `IAdaptable` interface; extensions are managed by the platform's adapter manager.

Method Summary
`IStorage` | `getStorage()` Returns the underlying IStorage object.

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getStorage

    public IStorage getStorage()
                        throws CoreException

  Returns the underlying IStorage object.

  Returns:
    an IStorage object.
  Throws:
    `CoreException` - if this method fails

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.